<?php
/*
 * 	Identity switch RoundCube Bundle
 *
 *	@copyright	(c) 2024 Forian Daeumling, Germany. All right reserved
 * 	@license 	https://github.com/toteph42/identity_switch/blob/master/LICENSE
 */

$config['identity_switch.config'] = [

	// Preconfigured settings for different mail domains.
 	// Appropriate set of values is searched by mapping domain of email (from identity) to array key.
 	
 	// Please note:
 	// - Using config.inc.php is only done, when you enter identity_switch configuration panel!
 	// - On Startup of RoundCube all configuration parameters were loaded from data base, so changes to this
 	//   configuration file does not apply.
	
	// Domain part of email address
	// If you use '*' as wild card, the domain and tld of the identity is used 
	'domain.tld' => [

		// IMAP host name, use ssl:// or tls:// notation if needed, for no security use imap:// 
		// Must always start with scheme. 
		// If you use '*' as wild card, the domain and tld of the identity is used 
		// Defaults to 'not specified'
		'imap' => 'imap://imap.domain.tld:447',
		
		// Folder delimiter
		// Defaults to 'not specified'
		'delimiter' => '.',

		// Login name, can be 'email' (full address from identity), 'mbox' (only mailbox part).
		// Any other value is treated as 'not specified' (default).
		'user' => 'email',

		// SMTP host name, use ssl:// or tls:// notation if needed, for no security use imap:// 
		// Must always start with scheme.
		// If you use '*' as wild card, the domain and tld of the identity is used 
		// Defaults to 'not specified'
		'smtp' => 'imap://smtp.domain.tld:130',
	],

	// 'another.tld' => [
	//		'imap' 		=> 'tls://imap.another.tld',
	//		'smtp' 		=> 'tls://smtp.another.tld',
	//		'user' 		=> 'mbox',
	// ],

	// Catch all (if you specify multiple 'catch all', then only first one is used)
	//
	// '*' => [
	//		'imap' 		=> 'ssl://imap.*',
	//		'smtp' 		=> 'tls://smtp.*',
	//		'delimiter' => '/',
	//	],

	// Allow logging to 'logs/identity_switch.log'. Default is false.
	'logging'	=> false,

	// Allow new mail checking. Default is true.
	'check' 	=> true,

	// Specify interval for checking of new mails. Default is 5 min. (5 * 60 sec.)
	'interval' 	=> 300, 

	// Specify number of microseconds between each new mail check. Default is 0 micoseconds.
	// If value is greater than 1000000 (1 second) delay time is rounded to seconds.
	'delay' 	=> 0,

	// Specify no. of retries for reading data from mail server. Default is 10 times.
	'retries' 	=> 10, 
	
	// Max. number of seconds to wait for response from identity_switch_newmails.php
	// Defaults to 60 seconds
	'wait' 		=> 60,

	// Enable some debugging messges saved in log file. Default is false
	'debug' 	=> false,
];

